--- title: "View API_filter" slug: "apigateway-api-apis-filter" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/apigateway-api-apis-filter" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View API_filter Available in Classic and VPC View the list of API IDs and names created in a product. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/filter | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID associated with the API | ### Request example The following is a sample request. ``` curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/products/{product-id}/apis/filter' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "apis": [ { "productId": "productId", "apiId": "apiId", "apiName": "apiName" } ], "total": 0 } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "apis": [ { "productId": "*****xn0bk", "apiId": "*****y6ql9", "apiName": "api-***" }, { "productId": "*****xn0bk", "apiId": "*****luwtk", "apiName": "api-***" } ], "total": 2 } ```